/*
 * Copyright (c) 1991 University of Southern California.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms are permitted
 * provided that the above copyright notice and this paragraph are
 * duplicated in all such forms and that any documentation,
 * advertising materials, and other materials related to such
 * distribution and use acknowledge that the software was developed
 * by the University of Southern California. The name of the University 
 * may not be used to endorse or promote products derived from this 
 * software without specific prior written permission.
 * THIS SOFTWARE IS PROVIDED ``AS IS'' AND WITHOUT ANY EXPRESS OR
 * IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED
 * WARRANTIES OF MERCHANTIBILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 *
*/
#ifndef lint
static char rcsid[] =
"@(#) $Id: phonetest.c,v 1.1 1995/07/29 03:28:40 slm Exp $ (USC)";
#endif

#include <stdio.h>
#include "tcpapps.h"

#define SEED 47
#define DATAPOINTS 1000

unsigned short s1[3], s2[3];
main(argc, argv)
  int  argc;
  char *argv[];
{
	int i, seed=SEED;
	FILE *fp;

	for (i=1; i<argc; i++) {
	  if (!strcmp(argv[i], "-seed")) {
	    sscanf(argv[++i], "%d", &seed);
	  }
	}
	srand48(seed);
	s1[0] = 0x330e;
	s1[1] = 47;
	s1[2] = 0;

	fp = fopen("phone.talkspurt.v", "w");
  for (i = 0; i < DATAPOINTS; i++) {
    fprintf(fp, "%.3f\n", phone_talkspurt(s1));
		fflush(fp);
  }
	fclose(fp);

	fp = fopen("phone.pause.v", "w");
  for (i = 0; i < DATAPOINTS; i++) {
    fprintf(fp, "%.3f\n", phone_pause(s1));
  }
	fclose(fp);
}
